# $Revision: 1.36.2.11 $, $Date: 2003/09/11 22:10:05 $
#
# Conditional build:
# _with_addons		- enables additional GUI features
#
Summary:	PSI - Jabber client
Summary(pl):	PSI - klient Jabbera
Name:		psi
Version:	0.9
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	bf3aaa7fa8a1efdff9f96fa718366aa8
Source2:	%{name}.desktop
Patch0:		%{name}-paths.patch
Patch1:		%{name}-certs.patch
Patch2:		%{name}-additional_features.patch
Patch3:		%{name}-pld.patch
URL:		http://psi.affinix.com/
BuildRequires:	qt-devel >= 3.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	qt-plugin-ssl = 1.0

%define         _desktopdir     %{_applnkdir}/Network/Communications/
%define         _prefix         /usr/X11R6

%description
PSI is communicator for Jabber open messaging system. It is based on
QT library. It supports SSL encrypted connections. Default behaviour
for SSL was changed so it looks for SSL certificates in $DATADIR/certs
or in ~/.psi/certs.

%description -l pl
PSI jest komunikatorem dla otwartego systemu wiadomoci Jabber. Zosta
stworzony w oparciu o bibliotek QT. PSI wspiera poczenia szyfrowane
SSL. W stosunku do domylnego zachowania komunikatora zostaa
wprowadzona zmiana, ktra powoduje e certyfikaty SSL poszukiwane s w
katalogu $DATADIR/certs lub ~/.psi/certs.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%{?_with_addons:%patch2 -p1}
%patch3 -p1
perl -pi -e "s/QString PROG_VERSION = \"0.9\";/QString PROG_VERSION = \"0.9-%{release}\";/g" src/common.cpp
perl -pi -e "s,/usr/local/share/psi,%{_datadir}/psi,g" src/common.cpp

%build
QTDIR=%{_prefix}
QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++
export QTDIR QMAKESPEC

./configure \
	--prefix %{_prefix} \
	--libdir %{_datadir}/psi \
	--qtdir $QTDIR
%{__make} \
	CXX=%{__cxx} LINK=%{__cxx} CXXFLAGS="-pipe -Wall %{rpmcflags} \
	-fno-exceptions -D_REENTRANT %{?debug:-DQT_NO_DEBUG} -DQT_THREAD_SUPPORT"

lrelease psi.pro

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_libdir}/psi,%{_datadir}/psi/translations}

# ugly workaround: they ignore INSTALL_ROOT!
perl -pi -e 's#(\.\./)+#/#g' Makefile

QTDIR=%{_prefix} %{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp lang/*.qm $RPM_BUILD_ROOT%{_datadir}/psi/translations

rm -f $RPM_BUILD_ROOT%{_datadir}/psi/certs/*.pem

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/psi
%dir %{_datadir}/psi/translations
%{_datadir}/psi/README
%{_datadir}/psi/COPYING
%{_datadir}/psi/certs
%{_datadir}/psi/iconsets
%{_datadir}/psi/image
%{_datadir}/psi/sound
%lang(ar) %{_datadir}/psi/translations/psi_ar.qm
%lang(da) %{_datadir}/psi/translations/psi_da.qm
%lang(cs) %{_datadir}/psi/translations/psi_cs.qm
%lang(de) %{_datadir}/psi/translations/psi_de.qm
%lang(es) %{_datadir}/psi/translations/psi_es.qm
%lang(fi) %{_datadir}/psi/translations/psi_fi.qm
%lang(fr) %{_datadir}/psi/translations/psi_fr.qm
%lang(ja) %{_datadir}/psi/translations/psi_jp.qm
%lang(mk) %{_datadir}/psi/translations/psi_mk.qm
%lang(nl) %{_datadir}/psi/translations/psi_nl.qm
%lang(pl) %{_datadir}/psi/translations/psi_pl.qm
%lang(ru) %{_datadir}/psi/translations/psi_ru.qm
%lang(sr) %{_datadir}/psi/translations/psi_sr.qm
%lang(it) %{_datadir}/psi/translations/psi_it.qm
%lang(pt) %{_datadir}/psi/translations/psi_pt.qm
%lang(pt_BR) %{_datadir}/psi/translations/psi_ptbr.qm
%lang(sv) %{_datadir}/psi/translations/psi_se.qm
%lang(zh) %{_datadir}/psi/translations/psi_zh.qm

%{_libdir}/psi
%{_desktopdir}/psi.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psi.spec,v $
Revision 1.36.2.11  2003/09/11 22:10:05  blues
- merged lang fix by ankry from HEAD

Revision 1.36.2.10  2003/09/10 09:06:25  wrobell
- macros are our heaven

Revision 1.36.2.9  2003/09/10 09:02:25  wrobell
- maybe now, it will work...

Revision 1.36.2.8  2003/07/19 21:50:38  deejay1
- typo
- builds, but doesn't seem to work :/

Revision 1.36.2.7  2003/07/08 06:47:35  blues
- typo

Revision 1.36.2.6  2003/07/07 23:21:14  blues
- fixed my broken changelog

Revision 1.36.2.5  2003/07/07 22:49:50  blues
- cosmetics

Revision 1.36.2.4  2003/06/28 08:20:43  blues
- sorry - my mistake

Revision 1.36.2.3  2003/06/27 20:02:58  blues
- empty log message

Revision 1.36.2.2  2003/06/21 14:27:34  jack
- Rel down (2 -> 1) for Ra
- STBR to RA-branch (general-updates) after qt-3.1? ;)

Revision 1.36.2.1  2003/06/19 15:49:20  jack
- up to 0.9-2

Revision 1.55  2003/06/19 14:00:43  adamg
- do not remove COPYING and README files from %{_datadir}/psi (reported
  through BTS)

Revision 1.54  2003/06/19 11:29:50  jack
- added description in client info
- added %defines for Ra (commented)
- release 2

Revision 1.53  2003/06/18 23:21:44  leafnode
- conflicts with qt-plugin-ssl 1.0

Revision 1.52  2003/06/18 16:07:32  freetz
- added additional_features.patch (some GUI enhancements)\n- added bcond _with_addons

Revision 1.51  2003/06/18 11:18:07  orzech
- almost finished

Revision 1.50  2003/06/18 11:00:00  migo
- fixed BR, cosmetics

Revision 1.49  2003/06/18 10:28:39  qboosh
- removed default _prefix, fixed lang() for ja

Revision 1.48  2003/06/18 10:12:11  adasi
 - 0.9, ugly LIBDIR hack

Revision 1.47  2003/06/18 08:56:17  orzech
- up to 0.9, nfy

Revision 1.46  2003/05/28 18:01:49  djurban
- fixed %%files

Revision 1.45  2003/05/28 17:49:35  djurban
- vfolders support
- my changes finished rel. 3

Revision 1.44  2003/05/28 17:22:20  djurban
- fixed without qssl bcond
- added more translations

Revision 1.43  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/05/12 07:53:46  djrzulf
- patch and desktop file updated,
- Release 2,

Revision 1.40  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.39  2003/02/06 20:29:39  krolik
- back to previous directory prefix

Revision 1.38  2003/02/06 19:57:14  krolik
- changed directories prefix to /usr/X11R6
- STBR

Revision 1.37  2003/01/31 23:06:51  djrzulf
- changes moved to RA-branch,

Revision 1.36  2003/01/31 10:07:29  djrzulf
- redefined _prefix to /usr/X11R6 becouse doesn't build,
- now it works with qssl,
- qssl: release 5
- psi: release 2
- STBR,

Revision 1.35  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.34  2003/01/16 22:03:25  kloczek
- release 1: final cleanups.

Revision 1.33  2002/12/27 16:18:47  mmazur
- %{__cxx} support

Revision 1.32  2002/12/06 23:39:24  djurban
blah, qssl.

Revision 1.31  2002/12/03 19:24:18  djurban
- Release 0.7
- Added qssl suport  & bcond

Revision 1.30  2002/12/03 03:41:13  wrobell
- rel. 0.6

Revision 1.29  2002/11/30 16:04:27  kloczek
- removed -fno-rtti from CXXFLAGS (it causes sigsegv on startup).

Revision 1.28  2002/11/29 22:51:35  alchemyx
- fixed psi-paths.spec so translations work properly now

Revision 1.27  2002/11/29 21:11:31  qboosh
- fixed lang(), post-qssl cleanup

Revision 1.26  2002/11/29 14:42:33  alchemyx
- removed *.pem files because they are useless
- tagged every translation with proper language

Revision 1.25  2002/11/29 08:52:48  alchemyx
- fixed translations paths

Revision 1.24  2002/11/28 20:54:35  alchemyx
- removed unneeded lines
- translations ought to be in datadir not libdir

Revision 1.23  2002/11/28 20:09:54  kloczek
- more macros,
- better C++ optmization (use -fno-exceptions -fno-rtti in CXXFLAGS),
- better %%{debug} support.

Revision 1.22  2002/11/28 20:06:00  alchemyx
- renamed psi-plugin.patch into psi-paths.patch because it does not only
  applies to paths of plugins
- translations moved to %{_datadir}/psi/translations

Revision 1.21  2002/11/28 19:26:24  alchemyx
- translations as standalone files

Revision 1.20  2002/11/28 18:14:11  alchemyx
- removal of README and COPYING from %{_datadir}/psi

Revision 1.19  2002/11/28 18:00:00  alchemyx
- added translations in one tar.bz2 file
- added creation of .qm translation files from .ts source files

Revision 1.18  2002/11/27 23:38:54  alchemyx
- starting to add translations

Revision 1.17  2002/11/27 15:02:48  wiget
- qssl plugin moved to separate spec
- %%install cleanup
- search for plugins in $HOME, %%{_libdir}/psi and current dir (skip searching
  in %{_datadir} and /usr/X11R6/lib )
- add dir for plugins to package

Revision 1.16  2002/11/27 13:59:57  alchemyx
- updated to 0.8.7
- removed unneeded patch for resourcesdir

Revision 1.15  2002/11/27 12:02:04  qboosh
- added missing dir

Revision 1.14  2002/11/27 11:53:50  alchemyx
- %%files fix
- descriptions enhaced a little bit

Revision 1.13  2002/11/27 11:41:22  wiget
- %%install fixes

Revision 1.12  2002/11/26 18:53:50  alchemyx
- added desktop file
- fixed psi-plugin.patch so it does not override PSIDATADIR variable and in
  case if that directory does not exist it uses ~/.psi/
- addes psi-certs.patch so psi looks for certs in PSIDATADIR/certs or in
  ~/.psi/certs/
- some more cleaning

Revision 1.11  2002/11/17 11:37:57  alchemyx
- some cleanups
- should build properly now

Revision 1.10  2002/11/16 01:41:29  alchemyx
- every patch fixed so it works withou playing with qmake and applying patches
  in %%build stage (it sucks!)
- still needs a lot of work (e.g. psi-plugin.patch is not correct)

Revision 1.9  2002/11/16 01:28:56  alchemyx
- starting big reorganisation - removing dirty hacks, making psi works

Revision 1.8  2002/10/12 20:47:14  radek
- release 0.3

Revision 1.7  2002/10/12 20:38:36  radek
- fixed directory permissions
- fixed qssl exclusion syntax (folks, learn how to use %if...)
- release 3 (it still doesn't work ;-> )

Revision 1.6  2002/10/07 18:15:09  djurban
- Corrected typos, should build correctly now, STBR.

Revision 1.5  2002/10/06 22:25:34  djurban
- Release 2
- Added ssl plugin support (bcond: _without_qssl)
- Include qssl lib, which is developed under the psi project,
  I still dont know whether to make a separate package for only one file (libqssl.so)
- Fixed path in qssl
- Fixed plugins path in psi, so that it looks for plugins in libdir
- STBR, pretty please :)

Revision 1.3  2002/10/02 12:08:00  qboosh
- added descriptions from summaries

Revision 1.2  2002/09/30 08:43:06  ankry
- fixed src url, removed bugus desriptions

Revision 1.1  2002/09/29 14:58:44  tjbynum
- not ready, we must write a patch to repair directories in harmony with FHS.
